<template>
  <DefaultLayout>
    <IntroBlock
      :placeholder="placeholder"
      page-title="page_titles.skills"
    />
    <h3>{{ $t('skills.technical_skills') }}</h3>
    <section>
      <article>
        <h4>{{ $t('skills.front_end') }}</h4>
        <ul class="decorated-list">
          <li>JavaScript</li>
          <li>JQuery</li>
          <li>VueJS</li>
          <li>EmberJS</li>
          <li>AngularJS</li>
          <li>HTML5</li>
          <li>CSS3</li>
          <li>SCSS</li>
        </ul>
      </article>
      <article>
        <h4>{{ $t('skills.back_end') }}</h4>
        <ul class="decorated-list">
          <li>Java 11</li>
          <li>Maven</li>
          <li>Spring</li>
          <li>SpringBoot</li>
          <li>Hibernate</li>
        </ul>
      </article>
      <article>
        <h4>{{ $t('skills.versioning') }}</h4>
        <ul class="decorated-list">
          <li>Git</li>
          <li>Mercurial</li>
        </ul>
      </article>
      <article>
        <h4>{{ $t('skills.database') }}</h4>
        <ul class="decorated-list">
          <li>PostgreSQL</li>
          <li>MySQL</li>
        </ul>
      </article>
      <article>
        <h4>{{ $t('skills.devops') }}</h4>
        <ul class="decorated-list">
          <li>Jenkins</li>
          <li>GitLab CI</li>
          <li>Docker</li>
          <li>Docker Compose</li>
        </ul>
      </article>
      <article>
        <h4>{{ $t('skills.tools') }}</h4>
        <ul class="decorated-list">
          <li>IntelliJ IDEA</li>
          <li>Webstorm</li>
          <li>Linux</li>
          <li>GitLab</li>
          <li>JIRA</li>
          <li>Confluence</li>
        </ul>
      </article>
    </section>
    <p id="git-repository">
      {{ $t('projects.personal_website.repository_access') }}&nbsp;<a
        href="https://gitlab.com/cecile.fecherolle/hellocecile"
        target="_blank"
        rel="noopener, noreferrer"
      >{{ $t('projects.personal_website.here') }}</a>
    </p>
    <hr>
    <h3>{{ $t('skills.topics_of_interest') }}</h3>
    <section>
      <ul class="decorated-list">
        <li>{{ $t('skills.devops') }}</li>
        <li>{{ $t('skills.code_quality') }}</li>
        <li>{{ $t('skills.automated_testing') }}</li>
      </ul>
    </section>
    <hr>
    <h3>{{ $t('skills.language_skills') }}</h3>
    <section>
      <article>
        <h4>{{ $t('skills.french') }}</h4>
        <p>{{ $t('skills.french_level') }}</p>
        <h4>{{ $t('skills.english') }}</h4>
        <p>{{ $t('skills.english_level') }}</p>
        <h4>{{ $t('skills.japanese') }}</h4>
        <p>{{ $t('skills.japanese_level') }}</p>
        <h4>{{ $t('skills.german') }}</h4>
        <p>{{ $t('skills.german_level') }}</p>
      </article>
    </section>
  </DefaultLayout>
</template>

<script src="../scripts/views/skills.js"/>
<style lang="scss" src="../styles/views/skills.scss"/>
